Subject: RE: Yaron.Redirect.ReallyNoBind

From: Yaron Goland <[email-masked]>
Date: Wed, 23 Feb 2000 21:41:10 -0800

See below.

> -----Original Message-----
> From: Slein, Judith A [mailto:[email-masked]]
> Sent: Mon, February 14, 2000 11:13 AM
> To: Yaron Goland; [email-masked]
> Subject: RE: Yaron.Redirect.ReallyNoBind
> 
> 
> I've been pushing the hardest to keep this stuff in.  There 
> are 2 reasons.  
>  
> First, it's essential that people be able to figure out 
> whether they are
> reading the right spec.  Redirect references and bindings are 
> in the same
> space, but clearly bindings will be right for some 
> applications and redirect
> references for others.  There needs to be enough information for
> implementers to understand the basic differences and realize 
> that there may
> be a spec that fits their needs better than this one.
>  

If the changes I proposed for the redirect spec are accepted then I think
redirect will appear substantially different than the bind spec to such an
extend that confusing them would be impossible.

> Second, it's often easier to communicate a concept by 
> explaining what it is
> not than by explaining what it is.  We have to do both, in my opinion.
> There have been continuing requests for binding-like behavior and for
> direct-reference-like behavior in redirect references.  We 
> can stop those
> requests and make it clearer what functionality we are trying 
> to define here
> by saying straight out that redirect references are not like 
> bindings, and
> here's why; and redirect references are not like direct 
> references, and
> here's why.
>  

In practice I find that telling people what something is not just confuses
them. Of course that is just my experience and your mileage may vary.

> --Judy
> 
> -----Original Message-----
> From: Yaron Goland [mailto:[email-masked]]
> Sent: Friday, February 11, 2000 1:31 AM
> To: [email-masked]
> Subject: Yaron.Redirect.ReallyNoBind
> 
> 
> 
> The 6th and 8th paragraphs of the introduction of the 
> redirect spec go into
> a discussion of the difference between bind and redirect 
> resources. These
> sections will only serve to confuse the reader as one need understand
> nothing about bind in order to successfully implement 
> redirect. As such I
> move that the sections discussing bind as compared to 
> redirect resources be
> removed.
>